Package com.io7m.cardant.protocol.inventory.cb.internal

# Enum Class CAUVTypeScalar

java.lang.Object
java.lang.Enum<CAUVTypeScalar>
com.io7m.cardant.protocol.inventory.cb.internal.CAUVTypeScalar

All Implemented Interfaces:
  `CAProtocolMessageValidatorType<CATypeScalarType,CAI1TypeScalar>`, `Serializable`, `Comparable<CAUVTypeScalar>`, `Constable`

public enum CAUVTypeScalar extends Enum<CAUVTypeScalar> implements CAProtocolMessageValidatorType<CATypeScalarType,CAI1TypeScalar>
A validator.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `TYPE_SCALAR`
  A validator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CATypeScalarType`
  `convertFromWire(CAI1TypeScalar message)`
  Convert a wire message to a core message.
  `CAI1TypeScalar`
  `convertToWire(CATypeScalarType message)`
  Convert a core message to a wire message.
  `static CAUVTypeScalar`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CAUVTypeScalar[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TYPE_SCALAR

    public static final CAUVTypeScalar TYPE_SCALAR
    A validator.

- ## Method Details

  - ### values

    public static CAUVTypeScalar[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CAUVTypeScalar valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### convertToWire

    public CAI1TypeScalar convertToWire(CATypeScalarType message)
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a core message to a wire message.
    Specified by:
      `convertToWire` in interface `CAProtocolMessageValidatorType<CATypeScalarType,CAI1TypeScalar>`
    Parameters:
      `message` - The core message
    Returns:
      The wire message

  - ### convertFromWire

    public CATypeScalarType convertFromWire(CAI1TypeScalar message)
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a wire message to a core message.
    Specified by:
      `convertFromWire` in interface `CAProtocolMessageValidatorType<CATypeScalarType,CAI1TypeScalar>`
    Parameters:
      `message` - The wire message
    Returns:
      The core message